Apache NiFi 跨站脚本漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1447242 漏洞类型 跨站脚本
发布时间 2018-10-26 更新时间 2018-10-26
CVE编号 CVE-2018-17193 CNNVD-ID CNNVD-201812-836
漏洞平台 N/A CVSS评分 N/A
|漏洞来源
https://www.securityfocus.com/bid/106263
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-201812-836
|漏洞详情
Apache NiFi是美国阿帕奇(Apache)软件基金会的一套基于数据流的数据处理和分发系统。该系统支持数据路由指示图的配置和转换以及系统中介逻辑等。 Apache NiFi 1.0.0版本至1.7.1版本中的X-ProxyContextPath存在跨站脚本漏洞,该漏洞源于message-page.jsp错误页面没有进行过滤就直接使用了HTTP请求报头X-ProxyContextPath的值。远程攻击者可利用该漏洞注入任意的Web脚本或HTML。
|受影响的产品
Apache Nifi 1.8
|参考资料

来源:nifi.apache.org

链接:https://nifi.apache.org/security.html#CVE-2018-17193